Debian Bug report logs - #568892
FTBFS due to the tests

version graph

Package: src:libnice; Maintainer for src:libnice is Debian Telepathy maintainers <pkg-telepathy-maintainers@lists.alioth.debian.org>;

Reported by: Daniel Schepler <dschepler@gmail.com>

Date: Mon, 8 Feb 2010 16:33:01 UTC

Severity: serious

Tags: help, sid, squeeze

Merged with 577900, 581012

Found in versions libnice/0.0.10-2, libnice/0.0.11-1

Fixed in version 0.0.12-1

Done: Laurent Bigonville <bigon@debian.org>

Bug is archived. No further changes may be made.

Forwarded to https://bugs.freedesktop.org/show_bug.cgi?id=27808

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian Telepathy maintainers <pkg-telepathy-maintainers@lists.alioth.debian.org>:
Bug#568892; Package libnice. (Mon, 08 Feb 2010 16:33:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Daniel Schepler <dschepler@gmail.com>:
New Bug report received and forwarded. Copy sent to Debian Telepathy maintainers <pkg-telepathy-maintainers@lists.alioth.debian.org>. (Mon, 08 Feb 2010 16:33:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Daniel Schepler <dschepler@gmail.com>
To: submit@bugs.debian.org
Subject: FTBFS with new libgupnp: Test failure
Date: Mon, 8 Feb 2010 08:29:44 -0800
[Message part 1 (text/plain, inline)]
Package: libnice
Version: 0.0.10-2
Severity: serious

I was trying to rebuild libnice locally against libgupnp-igd-1.0-3 since my
local copy was linked against libgupnp-igd-1.0-2, and I got:

...
** (process:18898): DEBUG: test-fullmode:cb_new_candidate: 0x1
** (process:18898): DEBUG: test-fullmode:cb_component_state_changed: 0x1
** (process:18898): DEBUG: test-fullmode: checks READY/EXIT-AT 2/4.
** (process:18898): DEBUG: test-fullmode: checks FAILED/EXIT-AT 1/0.
** (process:18898): DEBUG: test-fullmode:cb_component_state_changed: 0x2
** (process:18898): DEBUG: test-fullmode: checks READY/EXIT-AT 2/4.
** (process:18898): DEBUG: test-fullmode: checks FAILED/EXIT-AT 2/0.
** (process:18898): DEBUG: test-fullmode:timer_cb: (nil)

** ERROR **: ERROR: test has got stuck, aborting...
aborting...
/bin/bash: line 5: 18898 Aborted                 ${dir}$tst
FAIL: test-fullmode
...
====================
1 of 12 tests failed
====================
make[3]: *** [check-TESTS] Error 1
make[3]: Leaving directory `/tmp/buildd/libnice-0.0.10/tests'
make[2]: *** [check-am] Error 2
make[2]: Leaving directory `/tmp/buildd/libnice-0.0.10/tests'
make[1]: *** [check-recursive] Error 1
make[1]: Leaving directory `/tmp/buildd/libnice-0.0.10'
make: *** [debian/stamp-makefile-check] Error 2
dpkg-buildpackage: error: debian/rules build gave error exit status 2

The full build log is attached.  (The +pb1 etc. versions you'll see are from 
my "pbuildd" local rebuild environment, added by a pbuilder hook.)
-- 
Daniel Schepler
[build-log-amd64 (text/plain, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Telepathy maintainers <pkg-telepathy-maintainers@lists.alioth.debian.org>:
Bug#568892; Package libnice. (Fri, 19 Feb 2010 18:15:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Laurent Bigonville <bigon@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Telepathy maintainers <pkg-telepathy-maintainers@lists.alioth.debian.org>. (Fri, 19 Feb 2010 18:15:03 GMT) Full text and rfc822 format available.

Message #10 received at 568892@bugs.debian.org (full text, mbox):

From: Laurent Bigonville <bigon@debian.org>
To: 568892@bugs.debian.org
Subject: Re: FTBFS with new libgupnp: Test failure
Date: Fri, 19 Feb 2010 19:11:23 +0100
tag 568892 + help
thx

mmmm I've really no clue :/

Laurent




Added tag(s) help. Request was from Laurent Bigonville <bigon@debian.org> to control@bugs.debian.org. (Fri, 19 Feb 2010 18:15:05 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Telepathy maintainers <pkg-telepathy-maintainers@lists.alioth.debian.org>:
Bug#568892; Package libnice. (Wed, 24 Feb 2010 10:33:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to Timo Juhani Lindfors <timo.lindfors@iki.fi>:
Extra info received and forwarded to list. Copy sent to Debian Telepathy maintainers <pkg-telepathy-maintainers@lists.alioth.debian.org>. (Wed, 24 Feb 2010 10:33:07 GMT) Full text and rfc822 format available.

Message #17 received at 568892@bugs.debian.org (full text, mbox):

From: Timo Juhani Lindfors <timo.lindfors@iki.fi>
To: 568892@bugs.debian.org
Subject: Re: FTBFS with new libgupnp: Test failure
Date: Wed, 24 Feb 2010 12:31:07 +0200
[Message part 1 (text/plain, inline)]
Hi,

I have

$ dpkg -l|grep libgupnp
ii  libgupnp-1.0-3                    0.13.2-1                    GObject-based library for UPnP
ii  libgupnp-1.0-dev                  0.13.2-1                    GObject-based library for UPnP (development 
ii  libgupnp-igd-1.0-3                0.1.6-1                     library to handle UPnP IGD port mapping
ii  libgupnp-igd-1.0-dev              0.1.6-1                     library to handle UPnP IGD port mapping - de

and the package builds just fine under cowbuilder (log attached) on
amd64.

[cowbuilder.log.gz (application/octet-stream, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Telepathy maintainers <pkg-telepathy-maintainers@lists.alioth.debian.org>:
Bug#568892; Package libnice. (Sat, 27 Feb 2010 03:33:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to gregor herrmann <gregoa@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Telepathy maintainers <pkg-telepathy-maintainers@lists.alioth.debian.org>. (Sat, 27 Feb 2010 03:33:02 GMT) Full text and rfc822 format available.

Message #22 received at 568892@bugs.debian.org (full text, mbox):

From: gregor herrmann <gregoa@debian.org>
To: 568892@bugs.debian.org
Subject: Re: Bug#568892: FTBFS with new libgupnp: Test failure
Date: Sat, 27 Feb 2010 04:30:57 +0100
[Message part 1 (text/plain, inline)]
On Wed, 24 Feb 2010 12:31:07 +0200, Timo Juhani Lindfors wrote:

> and the package builds just fine under cowbuilder (log attached) on
> amd64.

Same here, the build completes (sid cowbuilder chroot, i386). Log
attached. 

Cheers,
gregor

-- 
 .''`.   http://info.comodo.priv.at/ -- GPG Key IDs: 0x8649AA06, 0x00F3CFE4
 : :' :  Debian GNU/Linux user, admin, & developer - http://www.debian.org/
 `. `'   Member of VIBE!AT & SPI, fellow of Free Software Foundation Europe
   `-    NP: Pink Floyd: Shine On You Crazy Diamond (Parts 6-9)
[libnice_0.0.10-2.1_i386.build.gz (application/octet-stream, attachment)]
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Telepathy maintainers <pkg-telepathy-maintainers@lists.alioth.debian.org>:
Bug#568892; Package libnice. (Sun, 14 Mar 2010 08:12:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Paul Wise <pabs@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Telepathy maintainers <pkg-telepathy-maintainers@lists.alioth.debian.org>. (Sun, 14 Mar 2010 08:12:03 GMT) Full text and rfc822 format available.

Message #27 received at 568892@bugs.debian.org (full text, mbox):

From: Paul Wise <pabs@debian.org>
To: 568892@bugs.debian.org, 568892-submitter@bugs.debian.org
Subject: libnice: 568892: unreproducible
Date: Sun, 14 Mar 2010 15:10:44 +0700
[Message part 1 (text/plain, inline)]
tags 568892 + unreproducible moreinfo
thanks

Several people have been unable to reproduce this issue, including
myself in an amd64 cowbuilder chroot with these installed:

$ dpkg -l|grep libgupnp
ii  libgupnp-1.0-3                    0.13.2-1               GObject-based library for UPnP
ii  libgupnp-1.0-dev                  0.13.2-1               GObject-based library for UPnP (development 
ii  libgupnp-igd-1.0-3                0.1.6-1                library to handle UPnP IGD port mapping
ii  libgupnp-igd-1.0-dev              0.1.6-1                library to handle UPnP IGD port mapping - de

Please check if you can still reproduce this and close the bug if not.
Perhaps it has something to do with your local rebuilding?

-- 
bye,
pabs

http://wiki.debian.org/PaulWise
[signature.asc (application/pgp-signature, inline)]

Message sent on to Daniel Schepler <dschepler@gmail.com>:
Bug#568892. (Sun, 14 Mar 2010 08:12:09 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Telepathy maintainers <pkg-telepathy-maintainers@lists.alioth.debian.org>:
Bug#568892; Package libnice. (Sun, 14 Mar 2010 15:36:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Laurent Bigonville <bigon@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Telepathy maintainers <pkg-telepathy-maintainers@lists.alioth.debian.org>. (Sun, 14 Mar 2010 15:36:03 GMT) Full text and rfc822 format available.

Message #35 received at 568892@bugs.debian.org (full text, mbox):

From: Laurent Bigonville <bigon@debian.org>
To: 568892@bugs.debian.org
Subject: Re: FTBFS with new libgupnp: Test failure
Date: Sun, 14 Mar 2010 16:33:38 +0100
Hi,

This problem is really random, I cannot reproduce it ATM (but I did in
the past on my amd64 box)

According to upstream this is a bug in dbus-glib that cannot be
initialized inside a thread. Disable network-manager in gupnp could be
a workaround

Laurent Bigonville




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Telepathy maintainers <pkg-telepathy-maintainers@lists.alioth.debian.org>:
Bug#568892; Package libnice. (Sun, 14 Mar 2010 17:36:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Daniel Schepler <dschepler@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian Telepathy maintainers <pkg-telepathy-maintainers@lists.alioth.debian.org>. (Sun, 14 Mar 2010 17:36:05 GMT) Full text and rfc822 format available.

Message #40 received at 568892@bugs.debian.org (full text, mbox):

From: Daniel Schepler <dschepler@gmail.com>
To: Paul Wise <pabs@debian.org>, 568892@bugs.debian.org
Subject: Re: Bug#568892: libnice: 568892: unreproducible
Date: Sun, 14 Mar 2010 09:33:15 -0800
On Sunday 14 March 2010 00:10:44 you wrote:
> tags 568892 + unreproducible moreinfo
> thanks
> 
> Several people have been unable to reproduce this issue, including
> myself in an amd64 cowbuilder chroot with these installed:
> 
> $ dpkg -l|grep libgupnp
> ii  libgupnp-1.0-3                    0.13.2-1               GObject-based
>  library for UPnP ii  libgupnp-1.0-dev                  0.13.2-1           
>     GObject-based library for UPnP (development ii  libgupnp-igd-1.0-3     
>            0.1.6-1                library to handle UPnP IGD port mapping
>  ii  libgupnp-igd-1.0-dev              0.1.6-1                library to
>  handle UPnP IGD port mapping - de
> 
> Please check if you can still reproduce this and close the bug if not.
> Perhaps it has something to do with your local rebuilding?

I just reproduced it in a vanilla pbuilder chroot setup (as I did when I first 
reported the bug as well).  Actually, the build succeeded the first time I 
tried it and then failed the second time -- and the second time it said "2 of 
12 tests failed" instead of the 1 of 12 from my original report.  So it looks 
like some of the tests might have race conditions or some other timing-
dependent behavior which causes them to fail some of the time.
-- 
Daniel Schepler




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Telepathy maintainers <pkg-telepathy-maintainers@lists.alioth.debian.org>:
Bug#568892; Package libnice. (Mon, 22 Mar 2010 19:57:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Laurent Bigonville <bigon@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Telepathy maintainers <pkg-telepathy-maintainers@lists.alioth.debian.org>. (Mon, 22 Mar 2010 19:57:03 GMT) Full text and rfc822 format available.

Message #45 received at 568892@bugs.debian.org (full text, mbox):

From: Laurent Bigonville <bigon@debian.org>
To: 568892@bugs.debian.org
Subject: Re: FTBFS with new libgupnp: Test failure
Date: Mon, 22 Mar 2010 20:53:48 +0100
reassign 568892 gupnp 0.13.2-1
retittle 568892 NM support makes libnice tests fails
affects 568892 libnice
thanks

According to Olivier Crête this is caused by NM support in gupnp

Reassigning.

Regards

Laurent Bigonville




Bug reassigned from package 'libnice' to 'gupnp'. Request was from Laurent Bigonville <bigon@debian.org> to control@bugs.debian.org. (Mon, 22 Mar 2010 19:57:04 GMT) Full text and rfc822 format available.

Bug No longer marked as found in versions 0.0.10-2. Request was from Laurent Bigonville <bigon@debian.org> to control@bugs.debian.org. (Mon, 22 Mar 2010 19:57:05 GMT) Full text and rfc822 format available.

Bug Marked as found in versions 0.13.2-1. Request was from Laurent Bigonville <bigon@debian.org> to control@bugs.debian.org. (Mon, 22 Mar 2010 19:57:06 GMT) Full text and rfc822 format available.

Added indication that 568892 affects libnice Request was from Laurent Bigonville <bigon@debian.org> to control@bugs.debian.org. (Mon, 22 Mar 2010 19:57:06 GMT) Full text and rfc822 format available.

Changed Bug title to 'NM support makes libnice tests fails' from 'FTBFS with new libgupnp: Test failure' Request was from Laurent Bigonville <bigon@debian.org> to control@bugs.debian.org. (Mon, 22 Mar 2010 20:15:10 GMT) Full text and rfc822 format available.

Bug reassigned from package 'gupnp' to 'libnice'. Request was from Laurent Bigonville <bigon@debian.org> to control@bugs.debian.org. (Mon, 19 Apr 2010 10:45:06 GMT) Full text and rfc822 format available.

Bug No longer marked as found in versions 0.13.2-1. Request was from Laurent Bigonville <bigon@debian.org> to control@bugs.debian.org. (Mon, 19 Apr 2010 10:45:07 GMT) Full text and rfc822 format available.

Bug Marked as found in versions 0.0.10-2. Request was from Laurent Bigonville <bigon@debian.org> to control@bugs.debian.org. (Mon, 19 Apr 2010 10:45:08 GMT) Full text and rfc822 format available.

Bug reassigned from package 'libnice' to 'src:libnice'. Request was from Laurent Bigonville <bigon@debian.org> to control@bugs.debian.org. (Mon, 19 Apr 2010 11:45:06 GMT) Full text and rfc822 format available.

Bug No longer marked as found in versions 0.0.10-2. Request was from Laurent Bigonville <bigon@debian.org> to control@bugs.debian.org. (Mon, 19 Apr 2010 11:45:07 GMT) Full text and rfc822 format available.

Forcibly Merged 568892 577900. Request was from Laurent Bigonville <bigon@debian.org> to control@bugs.debian.org. (Mon, 19 Apr 2010 11:45:08 GMT) Full text and rfc822 format available.

Bug Marked as found in versions libnice/0.0.10-2. Request was from Laurent Bigonville <bigon@debian.org> to control@bugs.debian.org. (Mon, 19 Apr 2010 11:51:08 GMT) Full text and rfc822 format available.

Set Bug forwarded-to-address to 'https://bugs.freedesktop.org/show_bug.cgi?id=27808'. Request was from Laurent Bigonville <bigon@debian.org> to control@bugs.debian.org. (Fri, 23 Apr 2010 08:42:08 GMT) Full text and rfc822 format available.

Changed Bug title to 'FTBFS due to the tests' from 'NM support makes libnice tests fails' Request was from Laurent Bigonville <bigon@debian.org> to control@bugs.debian.org. (Mon, 10 May 2010 22:45:02 GMT) Full text and rfc822 format available.

Forcibly Merged 568892 577900 581012. Request was from Laurent Bigonville <bigon@debian.org> to control@bugs.debian.org. (Mon, 10 May 2010 23:00:05 GMT) Full text and rfc822 format available.

Added indication that bug 568892 blocks 574770 Request was from Jakub Wilk <jwilk@debian.org> to control@bugs.debian.org. (Wed, 12 May 2010 15:36:07 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Telepathy maintainers <pkg-telepathy-maintainers@lists.alioth.debian.org>:
Bug#568892; Package src:libnice. (Fri, 14 May 2010 12:42:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Laurent Bigonville <bigon@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Telepathy maintainers <pkg-telepathy-maintainers@lists.alioth.debian.org>. (Fri, 14 May 2010 12:42:03 GMT) Full text and rfc822 format available.

Message #82 received at 568892@bugs.debian.org (full text, mbox):

From: Laurent Bigonville <bigon@debian.org>
To: 568892@bugs.debian.org
Subject: Re: FTBFS due to the tests
Date: Fri, 14 May 2010 14:38:55 +0200
Hi,

Here the sparc backtrace of ./test-fallback beeing stuck on sparc, if somebody have an idea


(gdb) thread apply all bt 

Thread 3 (Thread 0x70e53b70 (LWP 23124)):
#0  0x705f30f4 in *__GI___poll (fds=0x987c8, nfds=1, timeout=-1) at ../sysdeps/unix/sysv/linux/poll.c:87
#1  0x7043f970 in g_main_context_poll (context=0x98548, block=1, dispatch=1, self=<value optimized out>) at /build/buildd-glib2.0_2.24.1-1-sparc-nycaVE/glib2.0-2.24.1/glib/gmain.c:2904
#2  g_main_context_iterate (context=0x98548, block=1, dispatch=1, self=<value optimized out>) at /build/buildd-glib2.0_2.24.1-1-sparc-nycaVE/glib2.0-2.24.1/glib/gmain.c:2586
#3  0x70440268 in IA__g_main_loop_run (loop=0x987a0) at /build/buildd-glib2.0_2.24.1-1-sparc-nycaVE/glib2.0-2.24.1/glib/gmain.c:2799
#4  0x700210a0 in thread_func (dat=0x49168) at gupnp-simple-igd-thread.c:250
#5  0x7046c758 in g_thread_create_proxy (data=0x98670) at /build/buildd-glib2.0_2.24.1-1-sparc-nycaVE/glib2.0-2.24.1/glib/gthread.c:1893
#6  0x704ee338 in start_thread (arg=0x70e53b70) at pthread_create.c:302
#7  0x70601d5c in __thread_start () at ../sysdeps/unix/sysv/linux/sparc/sparc32/clone.S:101
#8  0x70601d5c in __thread_start () at ../sysdeps/unix/sysv/linux/sparc/sparc32/clone.S:101
Backtrace stopped: previous frame identical to this frame (corrupt stack?)

Thread 2 (Thread 0x70c53b70 (LWP 23125)):
#0  0x705f30f4 in *__GI___poll (fds=0x9ec38, nfds=1, timeout=-1) at ../sysdeps/unix/sysv/linux/poll.c:87
#1  0x7043f970 in g_main_context_poll (context=0x96c88, block=1, dispatch=1, self=<value optimized out>) at /build/buildd-glib2.0_2.24.1-1-sparc-nycaVE/glib2.0-2.24.1/glib/gmain.c:2904
#2  g_main_context_iterate (context=0x96c88, block=1, dispatch=1, self=<value optimized out>) at /build/buildd-glib2.0_2.24.1-1-sparc-nycaVE/glib2.0-2.24.1/glib/gmain.c:2586
#3  0x70440268 in IA__g_main_loop_run (loop=0x98220) at /build/buildd-glib2.0_2.24.1-1-sparc-nycaVE/glib2.0-2.24.1/glib/gmain.c:2799
#4  0x700210a0 in thread_func (dat=0x49460) at gupnp-simple-igd-thread.c:250
#5  0x7046c758 in g_thread_create_proxy (data=0xa5258) at /build/buildd-glib2.0_2.24.1-1-sparc-nycaVE/glib2.0-2.24.1/glib/gthread.c:1893
#6  0x704ee338 in start_thread (arg=0x70c53b70) at pthread_create.c:302
#7  0x70601d5c in __thread_start () at ../sysdeps/unix/sysv/linux/sparc/sparc32/clone.S:101
#8  0x70601d5c in __thread_start () at ../sysdeps/unix/sysv/linux/sparc/sparc32/clone.S:101
Backtrace stopped: previous frame identical to this frame (corrupt stack?)

Thread 1 (Thread 0x700dfd20 (LWP 23122)):
#0  0x704ef5fc in pthread_join (threadid=1894071152, thread_return=0xffffd224) at pthread_join.c:89
#1  0x703c1f5c in g_thread_join_posix_impl (thread=0x98690) at /build/buildd-glib2.0_2.24.1-1-sparc-nycaVE/glib2.0-2.24.1/gthread/gthread-posix.c:385
#2  0x7046c1f0 in IA__g_thread_join (thread=0x98670) at /build/buildd-glib2.0_2.24.1-1-sparc-nycaVE/glib2.0-2.24.1/glib/gthread.c:2038
#3  0x70020cb0 in gupnp_simple_igd_thread_dispose (object=0x97058) at gupnp-simple-igd-thread.c:207
#4  0x700963ec in IA__g_object_unref (_object=0x97058) at /build/buildd-glib2.0_2.24.1-1-sparc-nycaVE/glib2.0-2.24.1/gobject/gobject.c:2453
#5  0x000155a4 in priv_free_upnp (agent=0x53058) at agent.c:1872
#6  0x0001716c in nice_agent_gather_candidates (agent=0x53058, stream_id=2) at agent.c:1724
#7  0x00013458 in run_safe_fallback_test (lagent=0x4fff0, ragent=0x53058, baseaddr=0xffffd78c) at test-fallback.c:385
#8  0x000144fc in main () at test-fallback.c:550

(gdb) thread apply all bt full

Thread 3 (Thread 0x70e53b70 (LWP 23124)):
#0  0x705f30f4 in *__GI___poll (fds=0x987c8, nfds=1, timeout=-1) at ../sysdeps/unix/sysv/linux/poll.c:87
        __o0 = 516
        __o1 = 1
        __o2 = -1
        __g1 = 153
        oldtype = 0
        result = <value optimized out>
#1  0x7043f970 in g_main_context_poll (context=0x98548, block=1, dispatch=1, self=<value optimized out>) at /build/buildd-glib2.0_2.24.1-1-sparc-nycaVE/glib2.0-2.24.1/glib/gmain.c:2904
        poll_func = 0x7044eb20 <IA__g_poll>
#2  g_main_context_iterate (context=0x98548, block=1, dispatch=1, self=<value optimized out>) at /build/buildd-glib2.0_2.24.1-1-sparc-nycaVE/glib2.0-2.24.1/glib/gmain.c:2586
        max_priority = 2147483647
        timeout = -1
        some_ready = <value optimized out>
        nfds = 1
        allocated_nfds = <value optimized out>
        fds = 0x987c8
        __PRETTY_FUNCTION__ = "g_main_context_iterate"
#3  0x70440268 in IA__g_main_loop_run (loop=0x987a0) at /build/buildd-glib2.0_2.24.1-1-sparc-nycaVE/glib2.0-2.24.1/glib/gmain.c:2799
        self = 0x98670
        __PRETTY_FUNCTION__ = "IA__g_main_loop_run"
#4  0x700210a0 in thread_func (dat=0x49168) at gupnp-simple-igd-thread.c:250
        loop = 0x987a0
#5  0x7046c758 in g_thread_create_proxy (data=0x98670) at /build/buildd-glib2.0_2.24.1-1-sparc-nycaVE/glib2.0-2.24.1/glib/gthread.c:1893
        __PRETTY_FUNCTION__ = "g_thread_create_proxy"
#6  0x704ee338 in start_thread (arg=0x70e53b70) at pthread_create.c:302
        pd = 0x70e53b70
        now = <value optimized out>
        unwind_buf = {cancel_jmp_buf = {{jmp_buf = {-1221711211, -1221710931, -1215956019}, mask_was_saved = 0}}, priv = {pad = {0x0, 0x0, 0x0, 0x0}, data = {prev = 0x0, cleanup = 0x0, canceltype = 0}}}
        not_first_call = 0
        robust = <value optimized out>
#7  0x70601d5c in __thread_start () at ../sysdeps/unix/sysv/linux/sparc/sparc32/clone.S:101
No locals.
#8  0x70601d5c in __thread_start () at ../sysdeps/unix/sysv/linux/sparc/sparc32/clone.S:101
No locals.
Backtrace stopped: previous frame identical to this frame (corrupt stack?)

Thread 2 (Thread 0x70c53b70 (LWP 23125)):
#0  0x705f30f4 in *__GI___poll (fds=0x9ec38, nfds=1, timeout=-1) at ../sysdeps/unix/sysv/linux/poll.c:87
        __o0 = 516
        __o1 = 1
        __o2 = -1
        __g1 = 153
        oldtype = 0
        result = <value optimized out>
#1  0x7043f970 in g_main_context_poll (context=0x96c88, block=1, dispatch=1, self=<value optimized out>) at /build/buildd-glib2.0_2.24.1-1-sparc-nycaVE/glib2.0-2.24.1/glib/gmain.c:2904
        poll_func = 0x7044eb20 <IA__g_poll>
#2  g_main_context_iterate (context=0x96c88, block=1, dispatch=1, self=<value optimized out>) at /build/buildd-glib2.0_2.24.1-1-sparc-nycaVE/glib2.0-2.24.1/glib/gmain.c:2586
        max_priority = 2147483647
        timeout = -1
        some_ready = <value optimized out>
        nfds = 1
        allocated_nfds = <value optimized out>
        fds = 0x9ec38
        __PRETTY_FUNCTION__ = "g_main_context_iterate"
#3  0x70440268 in IA__g_main_loop_run (loop=0x98220) at /build/buildd-glib2.0_2.24.1-1-sparc-nycaVE/glib2.0-2.24.1/glib/gmain.c:2799
        self = 0xa5258
        __PRETTY_FUNCTION__ = "IA__g_main_loop_run"
#4  0x700210a0 in thread_func (dat=0x49460) at gupnp-simple-igd-thread.c:250
        loop = 0x98220
#5  0x7046c758 in g_thread_create_proxy (data=0xa5258) at /build/buildd-glib2.0_2.24.1-1-sparc-nycaVE/glib2.0-2.24.1/glib/gthread.c:1893
        __PRETTY_FUNCTION__ = "g_thread_create_proxy"
#6  0x704ee338 in start_thread (arg=0x70c53b70) at pthread_create.c:302
        pd = 0x70c53b70
        now = <value optimized out>
        unwind_buf = {cancel_jmp_buf = {{jmp_buf = {-1223808363, -1223808083, -1215956019}, mask_was_saved = 0}}, priv = {pad = {0x0, 0x0, 0x0, 0x0}, data = {prev = 0x0, cleanup = 0x0, canceltype = 0}}}
        not_first_call = 0
        robust = <value optimized out>
#7  0x70601d5c in __thread_start () at ../sysdeps/unix/sysv/linux/sparc/sparc32/clone.S:101
No locals.
#8  0x70601d5c in __thread_start () at ../sysdeps/unix/sysv/linux/sparc/sparc32/clone.S:101
No locals.
Backtrace stopped: previous frame identical to this frame (corrupt stack?)

Thread 1 (Thread 0x700dfd20 (LWP 23122)):
#0  0x704ef5fc in pthread_join (threadid=1894071152, thread_return=0xffffd224) at pthread_join.c:89
        __o1 = 0
        __o3 = 0
        __g1 = 142
        __o0 = 1894071256
        __o2 = <value optimized out>
        __tid = 23124
        _buffer = {__routine = 0x704ef520 <cleanup>, __arg = 0x70e53d98, __canceltype = 16, __prev = 0x0}
        oldtype = 0
        self = <value optimized out>
        result = 22
#1  0x703c1f5c in g_thread_join_posix_impl (thread=0x98690) at /build/buildd-glib2.0_2.24.1-1-sparc-nycaVE/glib2.0-2.24.1/gthread/gthread-posix.c:385
        ignore = 0x7050e000
        __PRETTY_FUNCTION__ = "g_thread_join_posix_impl"
#2  0x7046c1f0 in IA__g_thread_join (thread=0x98670) at /build/buildd-glib2.0_2.24.1-1-sparc-nycaVE/glib2.0-2.24.1/glib/gthread.c:2038
        t = <value optimized out>
        retval = <value optimized out>
        __PRETTY_FUNCTION__ = "IA__g_thread_join"
#3  0x70020cb0 in gupnp_simple_igd_thread_dispose (object=0x97058) at gupnp-simple-igd-thread.c:207
        delete_all_src = <value optimized out>
#4  0x700963ec in IA__g_object_unref (_object=0x97058) at /build/buildd-glib2.0_2.24.1-1-sparc-nycaVE/glib2.0-2.24.1/gobject/gobject.c:2453
        object = 0x97058
        old_ref = 1
        __PRETTY_FUNCTION__ = "IA__g_object_unref"
#5  0x000155a4 in priv_free_upnp (agent=0x53058) at agent.c:1872
        i = <value optimized out>
#6  0x0001716c in nice_agent_gather_candidates (agent=0x53058, stream_id=2) at agent.c:1724
        n = <value optimized out>
        i = <value optimized out>
        stream = 0x76598
        __PRETTY_FUNCTION__ = "nice_agent_gather_candidates"
#7  0x00013458 in run_safe_fallback_test (lagent=0x4fff0, ragent=0x53058, baseaddr=0xffffd78c) at test-fallback.c:385
        laddr = {s = {addr = {sa_family = 3, sa_data = "\002\240\377\377ր\000\000\000\000\000\000\000\004"}, ip4 = {sin_family = 3, sin_port = 672, sin_addr = {s_addr = 4294956672}, sin_zero = "\000\000\000\000\000\000\000\004"}, ip6 = {sin6_family = 3, sin6_port = 672, sin6_flowinfo = 4294956672, sin6_addr = {__in6_u = {__u6_addr8 = "\000\000\000\000\000\000\000\004\000\000\035\274\000\000\000", __u6_addr16 = {0, 0, 0, 4, 0, 7612, 0, 0}, __u6_addr32 = {0, 4, 7612, 0}}}, sin6_scope_id = 4294956672}}}
        raddr = {s = {addr = {sa_family = 0, sa_data = "\000\b\000\000\000\000\377\377\326\060\000\001D", <incomplete sequence \344>}, ip4 = {sin_family = 0, sin_port = 8, sin_addr = {s_addr = 0}, sin_zero = "\377\377\326\060\000\001D", <incomplete sequence \344>}, ip6 = {sin6_family = 0, sin6_port = 8, sin6_flowinfo = 0, sin6_addr = {__in6_u = {__u6_addr8 = "\377\377\326\060\000\001D\344\377\377\326\060\000\001Dt", __u6_addr16 = {65535, 54832, 1, 17636, 65535, 54832, 1, 17524}, __u6_addr32 = {4294956592, 83172, 4294956592, 83060}}}, sin6_scope_id = 0}}}
        laddr_rtcp = {s = {addr = {sa_family = 0, sa_data = "\000\240\000\000\035\214pNQ\364\000\000\000"}, ip4 = {sin_family = 0, sin_port = 160, sin_addr = {s_addr = 7564}, sin_zero = "pNQ\364\000\000\000"}, ip6 = {sin6_family = 0, sin6_port = 160, sin6_flowinfo = 7564, sin6_addr = {__in6_u = {__u6_addr8 = "pNQ\364\000\000\000\000\000\000\000\200\000\003\002\240", __u6_addr16 = {28750, 20980, 0, 0, 0, 128, 3, 672}, __u6_addr32 = {1884180980, 0, 128, 197280}}}, sin6_scope_id = 197632}}}
        raddr_rtcp = {s = {addr = {sa_family = 0, sa_data = "\001.\177\377\377\377pO(\200\000\t\265\210"}, ip4 = {sin_family = 0, sin_port = 302, sin_addr = {s_addr = 2147483647}, sin_zero = "pO(\200\000\t\265\210"}, ip6 = {sin6_family = 0, sin6_port = 302, sin6_flowinfo = 2147483647, sin6_addr = {__in6_u = {__u6_addr8 = "pO(\200\000\t\265\210pN|\b\000\004\207p", __u6_addr16 = {28751, 10368, 9, 46472, 28750, 31752, 4, 34672}, __u6_addr32 = {1884235904, 636296, 1884191752, 296816}}}, sin6_scope_id = 0}}}
        cdes = {type = NICE_CANDIDATE_TYPE_HOST, transport = NICE_CANDIDATE_TRANSPORT_UDP, addr = {s = {addr = {sa_family = 0, sa_data = '\000' <repeats 13 times>}, ip4 = {sin_family = 0, sin_port = 0, sin_addr = {s_addr = 0}, sin_zero = "\000\000\000\000\000\000\000"}, ip6 = {sin6_family = 0, sin6_port = 0, sin6_flowinfo = 0, sin6_addr = {__in6_u = {__u6_addr8 = '\000' <repeats 15 times>, __u6_addr16 = {0, 0, 0, 0, 0, 0, 0, 0}, __u6_addr32 = {0, 0, 0, 0}}}, sin6_scope_id = 0}}}, base_addr = {s = {addr = {sa_family = 2, sa_data = "\000\000\177\000\000\001\377\377،p\021o\030"}, ip4 = {sin_family = 2, sin_port = 0, sin_addr = {s_addr = 2130706433}, sin_zero = "\377\377،p\021o\030"}, ip6 = {sin6_family = 2, sin6_port = 0, sin6_flowinfo = 2130706433, sin6_addr = {__in6_u = {__u6_addr8 = "\377\377،p\021o\030\003\034\003\360\377\377\327", <incomplete sequence \310>, __u6_addr16 = {65535, 55436, 28689, 28440, 796, 1008, 65535, 55240}, __u6_addr32 = {4294957196, 1880190744, 52167664, 4294957000}}}, sin6_scope_id = 1880049184}}}, priority = 100000, stream_id = 0, component_id = 0, foundation = "1", '\000' <repeats 31 times>, username = 0x0, password = 0x0, turn = 0x0, sockptr = 0x0}
        ls_id = 2
        rs_id = 2
        __PRETTY_FUNCTION__ = "run_safe_fallback_test"
#8  0x000144fc in main () at test-fallback.c:550
        lagent = 0x4fff0
        ragent = 0x53058
        baseaddr = {s = {addr = {sa_family = 2, sa_data = "\000\000\177\000\000\001\377\377،p\021o\030"}, ip4 = {sin_family = 2, sin_port = 0, sin_addr = {s_addr = 2130706433}, sin_zero = "\377\377،p\021o\030"}, ip6 = {sin6_family = 2, sin6_port = 0, sin6_flowinfo = 2130706433, sin6_addr = {__in6_u = {__u6_addr8 = "\377\377،p\021o\030\003\034\003\360\377\377\327", <incomplete sequence \310>, __u6_addr16 = {65535, 55436, 28689, 28440, 796, 1008, 65535, 55240}, __u6_addr32 = {4294957196, 1880190744, 52167664, 4294957000}}}, sin6_scope_id = 1880049184}}}
        result = <value optimized out>
        timer_id = 1
        stun_server = <value optimized out>
        stun_server_port = <value optimized out>
        __PRETTY_FUNCTION__ = "main"




Reply sent to Laurent Bigonville <bigon@debian.org>:
You have taken responsibility. (Sat, 22 May 2010 14:36:07 GMT) Full text and rfc822 format available.

Notification sent to Daniel Schepler <dschepler@gmail.com>:
Bug acknowledged by developer. (Sat, 22 May 2010 14:36:08 GMT) Full text and rfc822 format available.

Message #87 received at 568892-close@bugs.debian.org (full text, mbox):

From: Laurent Bigonville <bigon@debian.org>
To: 568892-close@bugs.debian.org
Subject: Re: FTBFS due to the tests
Date: Sat, 22 May 2010 16:34:13 +0200
Version: 0.0.12-1

Build correctly on all archs with gupnp-igd (>= 0.1.7)

Laurent Bigonville




Reply sent to Laurent Bigonville <bigon@debian.org>:
You have taken responsibility. (Sat, 22 May 2010 14:36:08 GMT) Full text and rfc822 format available.

Notification sent to Lucas Nussbaum <lucas@lucas-nussbaum.net>:
Bug acknowledged by developer. (Sat, 22 May 2010 14:36:08 GMT) Full text and rfc822 format available.

Reply sent to Laurent Bigonville <bigon@debian.org>:
You have taken responsibility. (Sat, 22 May 2010 14:36:09 GMT) Full text and rfc822 format available.

Notification sent to "Adam D. Barratt" <adam@adam-barratt.org.uk>:
Bug acknowledged by developer. (Sat, 22 May 2010 14:36:09 GMT) Full text and rfc822 format available.

Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Thu, 15 Jul 2010 07:30:48 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sun Apr 20 23:33:53 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.